# Uses of Interface
org.apache.avro.file.FileReader

Packages that use FileReader
Package
Description
org.apache.avro.file
A container file for Avro data.

## Uses of FileReader in org.apache.avro.file

Classes in org.apache.avro.file that implement FileReader
Modifier and Type
Class
Description
`class`
`DataFileReader<D>`
Random access to files written with `DataFileWriter`.
`class`
`DataFileReader12<D>`
Read files written by Avro version 1.2.
Methods in org.apache.avro.file that return FileReader
Modifier and Type
Method
Description
`static <D> FileReader<D>`
DataFileReader.`openReader(File file, DatumReader<D> reader)`
Open a reader for a file.
`static <D> FileReader<D>`
DataFileReader.`openReader(SeekableInput in, DatumReader<D> reader)`
Open a reader for a file.